From 252bb6a5cd107af8219e153ab2944c79cda525c1 Mon Sep 17 00:00:00 2001
From: Cecil Hugh Watson <knoppmyth@gmail.com>
Date: Sun, 1 Feb 2009 23:15:21 -0800
Subject: Modified so Atomic Ant will work after install.

---
 abs/core-testing/LinHES-config/systemconfig.sh | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

diff --git a/abs/core-testing/LinHES-config/systemconfig.sh b/abs/core-testing/LinHES-config/systemconfig.sh
index 80fd9b8..738f168 100755
--- a/abs/core-testing/LinHES-config/systemconfig.sh
+++ b/abs/core-testing/LinHES-config/systemconfig.sh
@@ -161,16 +161,18 @@ echo $timezone
 ln -s "/usr/share/zoneinfo/$timezone"  ${BASE}/etc/localtime
         sed -e "s~^TIMEZONE=.*$~TIMEZONE=\"${timezone}\"~" ${BASE}/etc/rc.conf > $TEMPLATES/rc.conf
 
-	grep -v disablemodules=agpart,intel_agp /proc/cmdline > /tmp/aa
-	if [ -s /tmp/aa ]; then
-		cat $TEMPLATES/rc.conf | sed -e '/MOD_BLACKLIST/ c\MOD_BLACKLIST=($ALSABLACKLIST agpart intel_agp)' > $TEMPLATES/rc.conf
-	else
-		exit 1
-	fi
        # echo CLOCK="UTC" > ${BASE}/etc/conf.dclock
        # echo CLOCK_SYSTOCH="yes" >> ${BASE}/etc/conf.d/clock
        # echo TIMEZONE="$timezone" >> ${BASE}/etc/conf.d/clock
-cp_and_log $TEMPLATES/rc.conf /etc/rc.conf
+cp_and_log $TEMPLATES/rc.conf /etc/rc.conf.1
+#Check for Atomic Ant
+if grep disablemodules=agpart,intel_agp /proc/cmdline >/dev/null
+then
+	cat /etc/rc.conf.1 |  sed -e '/MOD_BLACKLIST/ c\MOD_BLACKLIST=($ALSABLACKLIST agpart intel_agp)' > /etc/rc.conf
+	rm -fr /etc/rc.conf.1
+else
+	exit 1
+fi
 
 }
 
-- 
cgit v0.12